Army vet Ashley Ehasz announces campaign for Pennsylvania’s 1st Congressional District

As we near the 2021 general election (only 20 days away), 2022 candidates are lining up to let us know their plans. We have 392 days until the general election for 2022, and the field is filling up from the top of the ticket on down. Besides learning that Josh Shapiro is officially entering the governor’s race, today we learn that Ashley Ehasz is the first challenger for Bucks County’s own, Brian Fitzpatrick.

Ashley Ehasz, a former Army pilot and graduate of the U.S. Military Academy at West Point,  announced her candidacy Tuesday morning for Pennsylvania’s 1st Congressional District, a seat currently held by Republican Rep. Brian Fitzpatrick.

The election for that seat will be held in 2022. Ehasz, who now lives in Bensalem, will run as a Democrat, and will likely face a primary challenge, but she is the first of her party to throw her hat in the ring in what is sure to be a hotly contest race as the Democratic Congressional Campaign Committee has already targeted the seat as a primary focus to flip next year.

Source: Army vet Ashley Ehasz announces campaign for Pennsylvania’s 1st Congressional District

Emily Smith

Emily Smith

Emily Smith is the Chief Operating Officer of the Bucks County Beacon. She is a seasoned design professional with nearly a decade of experience in strategic communications. Emily has spent nearly two decades working with startups and small businesses. Beyond her design chops, Emily is a creative problem solver, and business strategist. She has also owned her own graphic design firm since 2003, working with nearly every imaginable client including small businesses, giant corporations, non-profits, and community organizations.

Support the Beacon

We need your financial support in order to not only sustain, but grow this progressive media project for the long haul.

Support Us

Top 5

Follow Us

Subscribe to Our Weekly Newsletter

* indicates required

Subscribe to Our Weekly Newsletter

* indicates required